## org.mortbay.servlet
Class CGI

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.mortbay.servlet.CGI

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class CGI
extends HttpServlet

CGI Servlet. The cgi bin directory can be set with the cgibinResourceBase init parameter or it will default to the resource base of the context. The "commandPrefix" init parameter may be used to set a prefix to all commands passed to exec. This can be used on systems that need assistance to execute a particular file type. For example on windows this can be set to "perl" so that perl scripts are executed. The "Path" init param is passed to the exec environment as PATH. Note: Must be run unpacked somewhere in the filesystem. Any initParameter that starts with ENV_ is used to set an environment variable with the name stripped of the leading ENV_ and using the init parameter value.

Version:
  $Revision: 1.17.2.3 $
Author:
  Julian Gosnell
See Also:
  Serialized Form

Constructor Summary
`CGI()`

Method Summary
`void` `init()` A convenience method which can be overridden so that there's no need to call `super.init(config)`.
`void` `service(HttpServletRequest req, HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CGI

    public CGI()

Method Detail

### init

    public void init()
              throws ServletException

  Description copied from class: `GenericServlet`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  Instead of overriding `GenericServlet.init(ServletConfig)`, simply override this method and it will be called by `GenericServlet.init(ServletConfig config)`. The `ServletConfig` object can still be retrieved via `GenericServlet.getServletConfig()`.

  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException` - if an exception occurs that interrupts the servlet's normal operation

### service

    public void service(HttpServletRequest req,
                        HttpServletResponse res)
                 throws ServletException,
                        java.io.IOException

  Overrides:
    `service` in class `HttpServlet`
    `ServletException`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.